<?php
/**
 * No WooCommerce instaled message.
 *
 * @author  WeCreativez
 * @package WooCommerce Added to Cart Popup
 * @version 1.0.0
 */

defined( 'ABSPATH' ) || exit;

/**
 * Admin no WooCommerce class
 */
class ATCP_Admin_No_WooCommerce {

	/**
	 * Class init.
	 *
	 * @since 1.0.0
	 */
	public function __construct() {
		add_action( 'admin_notices', array( $this, 'add_admin_notice' ) );
	}

	/**
	 * Add admin menu.
	 */
	public function add_admin_notice() {
		?>
		<div class="notice notice-warning is-dismissible">
			<p>
				<?php
				/* translators: %s: URL of WooCommerce plugin. */
				printf( wp_kses_post( __( 'The WooCommerce Added To Cart Popup plugin requires %s v4.5 or greater to be installed and active.', 'woo-atcp' ) ), '<a href="https://wordpress.org/plugins/woocommerce/">WooCommerce</a>' );
				?>
				</p>
		</div>
		<?php
	}

}

return new ATCP_Admin_No_WooCommerce();
