<?php
/**
 * WooCommerce Added To Cart Popup
 *
 * @author    WeCreativez
 * @package   WeCreativez WooCommerce Added To Cart Popup
 * @copyright 2021 WeCreativez
 * @version   1.0.0
 * @license   GPL-2.0-or-later
 *
 * @wordpress-plugin
 * Plugin Name:       WooCommerce Added To Cart Popup
 * Plugin URI:        https://www.persianscript.ir
 * Description:       A beautiful WooCommerce added to cart popup by WeCreativez.
 * Version:           1.3.8
 * Requires at least: 4.5
 * Requires PHP:      5.6
 * Author:            پرشین اسکریپت
 * Author URI:        https://www.persianscript.ir
 * Text Domain:       woo-atcp
 * License:           GPL v2 or later
 * Domain Path:       /languages/
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 */

defined( 'ABSPATH' ) || exit;

if ( ! defined( 'ATCP_PLUGIN_FILE' ) ) {
	define( 'ATCP_PLUGIN_FILE', __FILE__ );
}

if ( ! defined( 'ATCP_PLUGIN_PATH' ) ) {
	define( 'ATCP_PLUGIN_PATH', plugin_dir_path( ATCP_PLUGIN_FILE ) );
}

if ( ! defined( 'ATCP_PLUGIN_URL' ) ) {
	define( 'ATCP_PLUGIN_URL', plugin_dir_url( ATCP_PLUGIN_FILE ) );
}

if ( ! defined( 'ATCP_PLUGIN_VER' ) ) {
	define( 'ATCP_PLUGIN_VER', '1.3.8' );
}

if ( ! function_exists( 'atcp_plugin_installation' ) ) {

	/**
	 * Plugin activation hook.
	 *
	 * @since 1.0.0
	 *
	 * @return void
	 */
	function atcp_plugin_installation() {
		require_once ATCP_PLUGIN_PATH . 'includes/class-atcp-install.php';
	}

	register_activation_hook( ATCP_PLUGIN_FILE, 'atcp_plugin_installation' );
}

if ( ! function_exists( 'atcp_load_textdomain' ) ) {
	/**
	 * Load plugin textdomain.
	 *
	 * @since 1.0.0
	 */
	function atcp_load_textdomain() {
		load_plugin_textdomain( 'woo-atcp', false, dirname( plugin_basename( ATCP_PLUGIN_FILE ) ) . '/languages' );
	}

	add_action( 'init', 'atcp_load_textdomain' );
}

if ( ! function_exists( 'atcp_plugin_init' ) ) {
	/**
	 * Plugin init.
	 *
	 * @since 1.0.0
	 *
	 * @return void
	 */
	function atcp_plugin_init() {
		// Init plugin files if WooCommerce activate.
		if ( class_exists( 'WooCommerce' ) ) {
			require_once ATCP_PLUGIN_PATH . 'includes/class-atcp-init.php';
		} else {
			require_once ATCP_PLUGIN_PATH . 'includes/admin/class-atcp-admin-no-woocommerce.php';
		}
	}

	add_action( 'plugins_loaded', 'atcp_plugin_init', 50 );
}
